Bug 1566830 - eorrors/warnings found in anaconda.log
Summary: eorrors/warnings found in anaconda.log
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 05:32 UTC by Tomasz Kłoczko
Modified: 2019-11-28 12:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:00:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2018-04-13 05:32:51 UTC
# egrep -e "err|warn|cannot" /var/log/anaconda/anaconda.log 
15:44:01,095 ERR core.util: Failed to import module kdump from path /usr/share/anaconda/addons/com_redhat_kdump/ks/kdump.py in collect: cannot import name 'iutil'
15:44:14,749 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/Gdk.py:336: DeprecationWarning: Gdk.Cursor.new is deprecated
15:45:31,908 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:45:31,909 DBG bootloader: stage1 device cannot be of type btrfs volume
15:45:31,911 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:45:31,912 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:45:31,914 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:45:31,915 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:45:31,916 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:52:09,328 DBG bootloader: stage1 device cannot be of type btrfs volume
15:52:09,329 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:52:09,362 DBG ui.helpers: Found sanity error: /boot file system cannot be of type btrfs subvolume
15:52:09,362 DBG ui.helpers: Found sanity warning: You have not specified a swap partition. Although not strictly required in all cases, it will significantly improve performance for most installations.
15:52:09,364 ERR ui.helpers: /boot file system cannot be of type btrfs subvolume
15:52:19,047 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270eda22b0' has no handler with id '52278'
15:52:19,048 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270eda22b0' has no handler with id '52279'
15:52:37,470 DBG bootloader: stage1 device cannot be of type btrfs volume
15:52:37,471 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:53:16,829 DBG bootloader: stage1 device cannot be of type btrfs volume
15:53:16,830 DBG bootloader: stage1 device cannot be of type btrfs subvolume
15:53:16,861 DBG ui.helpers: Found sanity warning: Your /boot partition is less than 200 MiB which is lower than recommended for a normal Fedora install.
15:53:16,862 DBG ui.helpers: Found sanity warning: You have not specified a swap partition. Although not strictly required in all cases, it will significantly improve performance for most installations.
  message_format=str(self._error))
  message_format=str(self._error))
15:53:24,482 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270e226920' has no handler with id '57879'
15:53:24,483 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270e226920' has no handler with id '57880'
15:53:27,724 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270e92b950' has no handler with id '58630'
15:53:27,725 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270e92b950' has no handler with id '58631'
15:53:53,688 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270df83420' has no handler with id '62249'
15:53:53,688 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270df83420' has no handler with id '62250'

Comment 1 Jan Kurik 2018-08-14 10:07:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:54:00 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 19:00:23 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Vladimír Slávik 2019-11-28 12:01:38 UTC
Thank you for the report! I think all of these are a non-issue:

> 15:44:01,095 ERR core.util: Failed to import module kdump from path /usr/share/anaconda/addons/com_redhat_kdump/ks/kdump.py in collect: cannot import name 'iutil'
Expected - kdump is not present in some variations of the installer.

> 15:44:14,749 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/Gdk.py:336: DeprecationWarning: Gdk.Cursor.new is deprecated
> 15:53:24,482 WRN misc: /usr/lib64/python3.6/site-packages/gi/overrides/GObject.py:553: Warning: gsignal.c:2641: instance '0x56270e226920' has no handler with id '57879'
> (...)
Outside anaconda in a python library we just use, so not something we can fix "here".

> 15:45:31,908 DBG bootloader: stage1 device cannot be of type btrfs subvolume
> (...)
Expected - checking all available devices, some do not fit the expectations so warnings are logged, but the whole thing just moves on.

> 15:52:09,362 DBG ui.helpers: Found sanity error: /boot file system cannot be of type btrfs subvolume
> 15:52:09,364 ERR ui.helpers: /boot file system cannot be of type btrfs subvolume
(...)
> 15:53:16,861 DBG ui.helpers: Found sanity warning: Your /boot partition is less than 200 MiB which is lower than recommended for a normal Fedora install.
> 15:53:16,862 DBG ui.helpers: Found sanity warning: You have not specified a swap partition. Although not strictly required in all cases, it will significantly improve performance for most installations.
Not relevant as it depends on actual configuration, mostly logged deeper in the code before it bubbles up to the user interface and is shown.


Note You need to log in before you can comment on or make changes to this bug.